commit fd4f57d8e67d723c071bdc374ede58d453c854ca (master)
Author: Richard Hopkins <richhguard-monotone@yahoo.co.uk>
Date:   Sun Jun 12 12:03:28 2011 +0100

    CreateComment: use explicit indexing for ``values''
    
    This improves readability, and clarifies the structure of ``values''. No
    functionality has changed, and all existing tests pass.

diff --git a/src/backend/commands/comment.c b/src/backend/commands/comment.c
index d09bef0..20603dc 100644
--- a/src/backend/commands/comment.c
+++ b/src/backend/commands/comment.c
@@ -157,11 +157,10 @@ CreateComments(Oid oid, Oid classoid, int32 subid, char *comment)
 			nulls[i] = false;
 			replaces[i] = true;
 		}
-		i = 0;
-		values[i++] = ObjectIdGetDatum(oid);
-		values[i++] = ObjectIdGetDatum(classoid);
-		values[i++] = Int32GetDatum(subid);
-		values[i++] = CStringGetTextDatum(comment);
+		values[0] = ObjectIdGetDatum(oid);
+		values[1] = ObjectIdGetDatum(classoid);
+		values[2] = Int32GetDatum(subid);
+		values[3] = CStringGetTextDatum(comment);
 	}
 
 	/* Use the index to search for a matching old tuple */
